from os import listdir
from os.path import isfile, join
import sqlite3
import zipfile
import codecs
import webbrowser
import urllib.parse

def main():
    folder = "F:/Japanese Resources/Moviedecks/"
    tmpFilePath = "D:/collection.anki2"  # on my computer, d is a ram drive for fast temporary file access
    tabSeparatedFilePath = "D:/CardsPerDeck.txt"

    file = codecs.open(tabSeparatedFilePath, "w", encoding="utf-8")
    numNotes = 0

    for curItem in listdir(folder):
        fullPath = join(folder, curItem)
        if not isfile(fullPath) or not curItem[-4:] == "apkg":
            continue

        z = zipfile.ZipFile(fullPath)
        col = z.read("collection.anki2")
        with open(tmpFilePath, 'wb') as f:
            f.write(col)

        db = sqlite3.connect(tmpFilePath)
        cursor = db.cursor()
        cursor.execute('select * from notes')

        curNumNotes = len(cursor.fetchall())
        numNotes += curNumNotes
        print(curItem + ": " + str(curNumNotes))
        db.close()

        file.write(curItem + "\t" + str(curNumNotes) + "\n")

    file.close()

    print("Total notes: " + str(numNotes))

if __name__ == "__main__":
    main()